CH_GET_BUFFER_SIZES(3)

EXPERIMENTAL_FUNC
ch_get_buffer_sizes - Get the read and write buffer sizes for a channel.

SYNOPSIS
#include <karma_ch.h>

flag ch_get_buffer_sizes

(Channel channel, uaddr *read_size, uaddr *write_size)

DESCRIPTION
Get the read and write buffer sizes for a channel.

channel
    The channel object.

read_size
    The read buffer size is written here.

write_size
    The write buffer size is written here.

RETURN VALUE
TRUE on success, else FALSE indicating the channel does not have read or write buffers.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/